<?php

// Les quelques lignes commentées qui figurent ci-dessous sont citées car creeFichier.php est sollicité par un include dans index.php ; ces lignes permettent de mieux comprendre l'architecture 
//elseif ($utilisateur->getStatut()=="administrateur") {
	//if ($creeFichier) {
        //if (!isset($_POST['classes']) or !count($_POST['classes'])){
		//
		//...
		//
		//)else{ 


			//********************************************
			//********* Récupération des données *********
			//********************************************
			$sxe = simplexml_load_string(mb_convert_encoding(file_get_contents('livret.xml'),"ISO-8859-15","ISO-8859-15"));
			$sxe->entete->etablissement = getSettingValue("gepiSchoolRne");

			$niveaux = niveauConcernees($anneeScolaire, $selectClasses);
			$classes = classesConcernees($anneeScolaire, $selectClasses);
			$eleves = elevesConcernees($anneeScolaire, $selectClasses);
			
			// id , ine , nom , prenom , ddn , annee , anneelsl , id_classe , code_mef //

			// 20180823 : Compétences
			$saisie_competences=lsl_getDroit('droitCompetences');

			//================================================
			// 20200615
			// Pour afficher du debug pour un eleve_id particulier
			$debug_eleve_id=false;
			$eleve_id_a_afficher=3482095;//1842966 //1843134 //1842934
			// Pour extraire les données même en euro:
			// PA le 20210124
			/*
			if(!getSettingANon('LSL_shunter_test_euro')) {
				$shunter_test_euro=true;
			}
			else {
				$shunter_test_euro=false;
			}
			*/
			$shunter_test_euro=true;
			//================================================

			//================================================
			// 20181008
			// Utilisation d'un tableau de correspondances
			// pour associer des élèves de la base locale 
			// avec des élèves du fichier de test de l'équipe LSL
			$restriction_extraction_a_certains_ele_id=false;
			$tab_conversion_ele_id=array();
			/*
			$tab_conversion_ele_id=array(
			// 1ère littéraire (110):
			1489898=>2528228,
			1490002=>2799467,
			1490028=>2799841,
			1490222=>2799889,
			1490264=>3055309,
			// 1ère ES (120):
			// 1ère S (130):
			// TL (010):
			1340689=>2528338,
			1340723=>2528374,
			1340763=>2528382,
			1340787=>2559490,
			1672383=>2620850,
			// TES (020):
			1340681=>2203867,
			1340685=>2203901,
			1340713=>2204059,
			1168276=>2204105,
			1340791=>2528142,
			1340799=>2528144,
			1340803=>2528208,
			1340811=>2528340,
			1340825=>2528360,
			1340835=>2528418,
			// TS (030):
			1340703=>2203909,
			1340711=>2528134,
			1340717=>2528146,
			1340727=>2528170,
			1340733=>2528230,
			1490014=>2528324,
			1340739=>2528394,
			1490098=>2947713,
			1340761=>3058873,
			1340739=>2528134,
			1340895=>2528230,
			1490098=>2528146,
			1340785=>2528170,
			1340815=>2528230,
			1340895=>2528324
			);

			
			// TL:
			$tab_conversion_ele_id=array(1340689=>2197489,
			1340723=>2466688,
			1340763=>2466722,
			1340787=>2624468);
			*/
			//================================================

			$eleves2 = $eleves;
			while($eleve = $eleves2->fetch_object()){
				// 20181008
				if ((LSL_get_ele_id($eleve))&&
				   ((!$restriction_extraction_a_certains_ele_id)||((isset($eleve->id))&&(array_key_exists($eleve->id, $tab_conversion_ele_id))))) {
					
					/*
					echo "<pre>";
					print_r($eleve);
					echo "</pre>==================================<br />";
					*/
					
					$changeClasse = LSL_change_classe($eleve->ine,$anneeAPB);
					if ($changeClasse) {
						$sql="SELECT * FROM eleves WHERE no_gep='".$eleve->ine."';";
						$test_ine=mysqli_query($mysqli, $sql);
						if(mysqli_num_rows($test_ine)>0) {
						   $lig_ine=mysqli_fetch_object($test_ine);
						   $affiche = 'Dans APB '.$eleve->ine.' (<a href="../../eleves/modify_eleve.php?eleve_login='.$lig_ine->login.'" target="_blank">'.$lig_ine->nom.' '.$lig_ine->prenom.'</a>) cet élève a changé de classe ou de groupe en cours d\'année '.($anneeAPB-1).'-'.$anneeAPB;
						}
						else {
						   $affiche = 'Dans APB '.$eleve->ine.' cet élève a changé de classe ou de groupe en cours d\'année '.($anneeAPB-1).'-'.$anneeAPB;
						}
						$affiche .= ' ou vous avez plusieurs enseignements pour une matière. Vous devriez vérifier les remontées de cet élève.';
						echo '<p>'.$affiche.'</p>';
						ecrit($affiche."\n");
					}

					$changeClasseLSL = LSL_change_classe($eleve->ine,$anneeLSL);
					if ($changeClasseLSL) {
						$sql="SELECT * FROM eleves WHERE no_gep='".$eleve->ine."';";
						$test_ine=mysqli_query($mysqli, $sql);
						if(mysqli_num_rows($test_ine)>0) {
						   $lig_ine=mysqli_fetch_object($test_ine);
						   $affiche = 'Dans LSL '.$eleve->ine.' (<a href="../../eleves/modify_eleve.php?eleve_login='.$lig_ine->login.'" target="_blank">'.$lig_ine->nom.' '.$lig_ine->prenom.'</a>) cet élève a changé de classe ou de groupe en cours d\'année '.($anneeAPB-1).'-'.$anneeAPB;
						}
						else {
						   $affiche = 'Dans LSL '.$eleve->ine.' cet élève a changé de classe ou de groupe en cours d\'année '.($anneeAPB-1).'-'.$anneeAPB;
						}
						//echo '<p>'.$affiche.'</p>';
						ecrit($affiche."\n");
					}
					$lastNiveau="";
					$newElv = $sxe->donnees->addChild('eleve');
					// 20181008
					if($restriction_extraction_a_certains_ele_id) {
						$newElv->addAttribute('id', $tab_conversion_ele_id[$eleve->id]);
					}
					else {
						$newElv->addAttribute('id', LSL_get_ele_id($eleve));
					}
					ecrit("\nid → ".LSL_get_ele_id($eleve)."\n");

					// récupérer les engagements
					$listeEngagements = engagementsEleve($eleve->ine);
					if(($listeEngagements->num_rows > 0)) {
						// PA 20210211 : restructuration
						// PA 20210217  : éco-délégué fait pour le moment partie des engagements divers, de type NX
						// on ne va donc traiter que les engagements qui garnissent le fond de la table : les id_engagement vont de 1 à 5
						$nc=False;
						$ne=False;
						$nr=False;
						$descr_nr="";
						$nx=False;
						$descr_nx="";
						ecrit("Engagements :\n");
						$engagements = $newElv->addChild('engagements');
						while ($engagement = $listeEngagements->fetch_object()){
							$id_eng=$engagement->id_engagement;
							$descr=$engagement->description;
							if ($id_eng==1) {
								// Délégue de classe
								$nc=True;
							}
							else if (in_array($id_eng,array(2,3,4,5))) {
								// Les différents cas pour l'attribut nr, à ce jour : 20210211
								$nr=True;
								$descr_nr.=$descr.",";
							}
							else {
								// Les contributions à l'attribut nx, inventions libres de chaque établissement parmi lesquelles possiblment éco-délégué
								$nx=True;
								$descr_nx.=$descr.",";
							}

						}
						// Fin PA 20210217
						// PA 20210211 : restructuration
						if ($nc) {
							$newEngagement = $engagements->addChild('engagement');
							$newEngagement->addAttribute('code',"NC" );
						}
						if ($ne) {
							$newEngagement = $engagements->addChild('engagement');
							$newEngagement->addAttribute('code',"NE" );
						}
						if ($nr) {
							$newEngagement = $engagements->addChild('engagement');
							$newEngagement->addAttribute('code',"NR" );
							$l_descr_nr=mb_strlen($descr_nr);
							$descr_nr=mb_substr($descr_nr,0,$l_descr_nr-1);
							$newEngagement->addAttribute('precision',$descr_nr );
						}
						if ($nx) {
							$newEngagement = $engagements->addChild('engagement');
							$newEngagement->addAttribute('code',"NX" );
							$l_descr_nx=mb_strlen($descr_nx);
							$descr_nx=mb_substr($descr_nx,0,$l_descr_nx-1);
							$newEngagement->addAttribute('precision',$descr_nx);
						}
					}

					// PA le 20210211 : récupérér l'avisExamen seulement si une seule année est présente 
					$annees = anneesEleve($eleve->ine);
					$nb_annees=$annees->num_rows;
					if ($nb_annees==1) {
						$annee = $annees->fetch_object();
						$der_ann=$annee->annee;
						$avis=getAvisExam($eleve->ine,$der_ann);
						if ($avis!="") { 
							$avisExam = $newElv->addChild('avisExamen');
							$avisExam->addAttribute('code',$avis);
						}
					}	
					
					// récupérer les scolarités
					$scolarites = $newElv->addChild('scolarites');
					$annees = anneesEleve($eleve->ine);
					$nb_annees=$annees->num_rows;
					/*
					echo "<pre>";
					print_r($annees);
					echo "</pre>";
					
					var_dump($nb_annees);
					echo " années<br />";
					*/
					$derniereAnnee = NULL;
					// annee , id_classe , nom_court , nom_complet , login_pp , niveau // 
					//while ($annee = $annees->fetch_object()) {
					for ($aux1=0;$aux1<$nb_annees;$aux1++) {
						$annee = $annees->fetch_object();
						//var_dump($annee);
						//echo '<br />';
						ecrit("\n-----------------".$annee->annee."-----------------\n");
						
						if (!$derniereAnnee || $annee->niveau != $derniereAnnee) {
							// on change d'année
							$derniereAnnee = $annee->niveau;
							ecrit('année → '.$annee->annee.' nom court → '.$annee->nom_court." code MEF → ".$annee->code_mef."\n");

							// On récupère le niveau
							$getNiveau = getNiveau($annee->annee, $annee->id_classe);
							$niveau = $getNiveau->fetch_object();
							// Ne pas récupérer une année redoublée
							if ($niveau && $lastNiveau != $niveau->apb_niveau) {

						// 20181202
						// Récupération des programmes pour la formation courante:
						// $tab_programmes st utilisé pour savoir si, pour la matière de ce groupe, on ajoute certains éléments
						// si la matière n'est pas trouvée dans le programme, on l'ajoute et c'est très bien (cas des matières de sport de haut niveau)
						$tab_programmes=array();
						$res_programmes=extraitProgrammes($annee->code_mef, $annee->annee);
						if(mysqli_num_rows($res_programmes)>0) {
							while($lig_programme=mysqli_fetch_assoc($res_programmes)) {
								$tab_programmes[$lig_programme['matiere']][$lig_programme['Modalite']]=$lig_programme;
							}
						}
						/*
						if(!isset($tab_deja_programmes["$annee->code_mef"])) {
							echo "\$tab_programmes=extraitProgrammes(".$annee->code_mef.");<br />";
							echo "<pre>";
							print_r($tab_programmes);
							echo "</pre>";
						}
						*/

						$newScolarite = $scolarites->addChild('scolarite');
						$newScolarite->addAttribute('annee-scolaire',$annee->annee);
						$codePeriode=codePeriode($eleve->ine, $annee->annee);
						$newScolarite->addAttribute('code-periode',$codePeriode);
						ecrit("Scolarité : année scolaire → ".$annee->annee." code période → ".$codePeriode."\n");

						$lastNiveau = $niveau->apb_niveau;
						ecrit("Dernier niveau → ".$lastNiveau."\n");

						$nbPeriode = 0;
						if ($newScolarite["code-periode"] == "T") {
								$nbPeriode = 3;
						} elseif ($newScolarite["code-periode"] == "S") {
								$nbPeriode = 2;
						}

						// REPERER A L AVANCE TOUTES LES TRANSITIONS DE code_service
						$tab_prem_cs=array();
						$neuEvaluations = evaluations($eleve->ine,$annee->annee);
						$nb_eval=$neuEvaluations->num_rows;
						$letzt_service='0';
						for ($aux3=0;$aux3<$nb_eval;$aux3++) {
							$bewertung = $neuEvaluations->fetch_object();
							$neu_service=$bewertung->code_service;
							if ($neu_service!=$letzt_service) {
								$tab_prem_cs[]=$aux3;
								$letzt_service=$neu_service;
							}
						}
						$neuEvaluations->close();
						/*
						echo "<pre>";
						print_r($tab_prem_cs);
						echo "</pre>";
						*/
						
						$newEvaluations = evaluations($eleve->ine,$annee->annee);
						//$lastMatiere = NULL;
						//$lastService = NULL;
						//$periodesNotes = NULL;
						ecrit("nombre d'évaluation : ".$newEvaluations->num_rows."\n");
						if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
							echo "<b>Nombre d'évaluations : ".$newEvaluations->num_rows."</b><br/>";
						}

						// BOUCLER SUR LES EVALUATIONS
						$nb_eval=$newEvaluations->num_rows;
						//while ($evaluation = $newEvaluations->fetch_object()) {
						for ($aux2=0;$aux2<$nb_eval;$aux2++) {
							$evaluation = $newEvaluations->fetch_object();
							
							// NE TRAVAILLER QUE LORS DES TRANSITIONS DE code_service 
							
							if (in_array($aux2,$tab_prem_cs)) {
								if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
									echo '<hr width="200"/>';
									echo 'Elève, puis évaluation clé<br //>';
									echo '<pre>';
									var_dump ($eleve);
									echo '</pre>';
									echo '<pre>';
									var_dump ($evaluation);
									echo '</pre><br />';
								}
								
								// PA le 20210122
								/*
								$sectionEuro = EstSectionEuro(str_pad($evaluation->code_sconet, 6, '0', STR_PAD_LEFT));
								if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
									echo "\$sectionEuro=$sectionEuro<br />";
								}
								if((!$sectionEuro)||($shunter_test_euro)) {
								*/
								if($shunter_test_euro) {
									//echo "PLOP<br />";
									// TODO on limite aux $evaluation de la série
									if ('0' == $evaluation->code_sconet || 0 == intval($evaluation->code_sconet)) {
										$getMatiere = getMatiere($evaluation->code_service,$annee->annee+1,'nom_complet');
										echo "<p class='red'>L'enseignement ".$evaluation->code_service." → ";
										echo $getMatiere.", n'est pas reconnu";
										echo " pour l'année ".$annee->annee."-".($annee->annee+1).".";
										echo " Vous devez régler ce problème, les notes ne sont pas exportées.</p>";
										echo "<p class='red'>La matière n'est peut-être pas à exporter pour cette année.</p>";
										continue;
									}
									// PA le 20210120 : suppression du test parce qu'il bloque le sport de haut niveau.
									// Ou bien alors il faudrait le completer en excluant du test les sports de haut niveau. Grâce à une table?
									//if (LSL_matiereDeSerie($annee->code_mef, str_pad($evaluation->code_sconet, 6, '0', STR_PAD_LEFT),$annee->annee, $evaluation->modalite)) {

										if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
											echo '-La matière '.$annee->code_mef.'est bien enseignée<br />';
											echo "-La matière ".str_pad($evaluation->code_sconet, 6, '0', STR_PAD_LEFT)." → ".$evaluation->modalite
												. " est bien enseignée en ".$annee->code_mef." en ".$annee->annee."-".($annee->annee+1)."<br />\n";
										}

										ecrit("La matière ".str_pad($evaluation->code_sconet, 6, '0', STR_PAD_LEFT)." → ".$evaluation->modalite
												. " est bien enseignée en ".$annee->code_mef." en ".$annee->annee."-".($annee->annee+1)."\n");
										
										$newEval = $newScolarite->addChild('evaluation');
										//TODO : rechercher la modalité dans les tables LSL
										$code_matiere = str_pad($evaluation->code_sconet, 6, '0', STR_PAD_LEFT);

										// 20180823
										// id_groupe : $evaluation->code_service
										// code_sconet_matiere : $evaluation->code_sconet (sans zéro à gauche)
										// code_sconet_matiere à 7 chiffres : $code_matiere
										//echo 'DEBUG: '.$eleve->ine.' '.$evaluation->code_service.' '.$evaluation->code_sconet.' '.$code_matiere.'<br />';
										/*
										$modalite = LSL_modalite($code_matiere, $annee->code_mef);
										if (!$modalite) {
												$modalite = $evaluation->modalite;
										}
										 * 
										 */
										$modalite = $evaluation->modalite;
										
										$compteEleves = compteElvEval($annee->annee, $evaluation->code_service);
                                        $compteElv = $compteEleves->fetch_object();

										// 20200620
										// Dans le cas de l'enseignement MATHS, SVT, HIGEO,...
										// associé à la LV de section la modalité doit être "D".
										// PA le 20210122
										// Cas des sections linguistiques et d'un groupe de DNL hors SELO: la modalité d'élection
										// doit être à 'D'
										$sql="SELECT * FROM groupes_param WHERE id_groupe='".$evaluation->code_service."'
										ORDER BY name;";
										if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
										   echo " Test de paramètre associé au groupe <br />";
										}
										$res_param=mysqli_query($mysqli, $sql);
										if(mysqli_num_rows($res_param)>0) {
											$lig_param=mysqli_fetch_object($res_param);
											$param=$lig_param->name;
											$id_groupe_appui=$lig_param->value;
											if (in_array($param,array('groupe_dnl_hors_selo','groupe_binat','groupe_inter','groupe_selo'))) {
												$newEval->addAttribute('modalite-election','D');
												if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
													echo "C'est un enseignement en langue de section ou un groupe de dnl hors selo<br />";
												}
											}
											// Si c'est une DNL hors selo:
											// A) il y a un attibut supplémentaire avec le code_matiere de la LV qui devient l'attribut code_lv_dnl
											// B) le deuxième 
											if ($param=='groupe_dnl_hors_selo') {
												$gruppe=get_group($id_groupe_appui);
												$code_lv=$gruppe['matiere']['code_matiere'];
												// Il y a un deuxième paramètre : le rang de la LV associée
												$lig_param=mysqli_fetch_object($res_param);
												$param=$lig_param->name;
												if ($param=='rang_lv') {
													$rang_lv=$lig_param->value;
												}												
												// Le code_lv doit porter dans sa dernière position le rang de la LV
												$l_code_lv=strlen($code_lv);
												$code_lv=substr($code_lv,0,$l_code_lv-1).$rang_lv;
												if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
													echo "C'est un enseignement d'un groupe de dnl hors selo de code langue : ".$code_lv."<br />";
												}
												$newEval->addAttribute('code-lv-dnl',$code_lv);												
											}
										}
										else {
										   $newEval->addAttribute('modalite-election',$modalite);
										}
										$newEval->addAttribute('code-matiere',$code_matiere);
										$newStructure = $newEval->addChild('structure');
										$structureEvaluation = structureEval($annee->annee, $evaluation->code_service);
										$structureEval = $structureEvaluation->fetch_object();

										$newStructure->addAttribute('effectif',$compteElv->nombre);

										// 20181202
										/*
										if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
											echo "Voilà ce que tab_programmes[code_matiere] attend :<br />";
											echo "<pre>";
											print_r($tab_programmes[$code_matiere]);
											echo "</pre>";
										}
										*/										
										if((!isset($tab_programmes[$code_matiere][$modalite]))||
										($tab_programmes[$code_matiere][$modalite]['note']=='y')) {
											$moinsHuit = reparMoinsHuit($annee->annee, $evaluation->code_service);
											$huitDouze = reparMoinsHuit($annee->annee, $evaluation->code_service, 8, 12);
											$plusDouze = 100-($moinsHuit + $huitDouze);


											$newStructure->addAttribute('moyenne',round($structureEval->moyenne,2));
											$newStructure->addAttribute('repar-moins-huit',$moinsHuit);
											$newStructure->addAttribute('repar-huit-douze',$huitDouze);
											$newStructure->addAttribute('repar-plus-douze',$plusDouze);
										}

										$structureEvaluation ->close();
										
										// appréciation annuelle pour la matière
										if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
											echo "<br/><b>Je m'apprête à charger l'appréciation annuelle pour la matière</b><br/>";
										}									
										//$appAnnuelle=" ";
										$appAnnuelle=getAppreciationProf($eleve->ine, $evaluation->code_service, $annee->annee+1);
										if (!$appAnnuelle) {
											$appAnnuelle="&#160;";
											$newMessage = $eleve->nom." ".$eleve->prenom;
											$newMessage .= " n'a pas d'appréciation pour la matière ".getMatiere($evaluation->code_service, $annee->annee+1);
											$newMessage .= " pour l'année ".$annee->annee."-".($annee->annee+1) ;
											$messages[] = $newMessage;
										} else {
											$newEval->addChild('annuelle', $appAnnuelle);
										}

										// notes périodiques
										if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
											echo "<br/><b>Je m'apprête à charger les notes périodiques pour la matière</b><br/>";
										}
										// 20181202
										if((!isset($tab_programmes[$code_matiere][$modalite]))||
										($tab_programmes[$code_matiere][$modalite]['note']=='y')) {
											$Periodiques = $newEval->addChild('periodiques');
											$moyennes = moyenneTrimestre($annee->annee, $evaluation->code_service, $eleve->ine);
											if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
												echo "<br/><b>Voici l'année et les caractéristiques des moyennes</b><br/>";
												echo $annee->annee."<br />";
												echo "<pre>";
												print_r($moyennes);
												echo "</pre>";											
											}
											while ($moyenne = $moyennes->fetch_object()) {
												//$periodesNotes[] = $moyenne->trimestre;
												$trimestre = $Periodiques->addChild('periode');
												$trimestre->addAttribute('numero', $moyenne->trimestre);
												if ("S" == $moyenne->etat) {
														$trimestre->addAttribute('moyenne', $moyenne->moyenne);
												} else {
														$trimestre->addAttribute('moyenne', -1);
												}
											}
											$moyennes->close();
										}

										// compétences
										if (($debug_eleve_id)&&($eleve->id == $eleve_id_a_afficher)) {
											echo "<br/><b>Je m'apprête à charger les compétences pour la matière</b><br/>";
										}
										if($saisie_competences) {
											// 20180823 : Compétences
											// id_groupe : $evaluation->code_service
											// code_sconet_matiere : $evaluation->code_sconet (sans zéro à gauche)
											// code_sconet_matiere à 7 chiffres : $code_matiere
											$sql="SELECT * FROM plugin_lsl_eval_competences 
														WHERE annee='".($annee->annee+1)."' AND 
															eleve='".$eleve->ine."' AND 
															id_APB='".$evaluation->code_service."';";
											//echo $sql."<br />";
											$res_comp_deja=mysqli_query($mysqli, $sql);
											if(mysqli_num_rows($res_comp_deja)>0) {
												$newCompetences = $newEval->addChild('competences');
												while($lig_comp_deja=mysqli_fetch_object($res_comp_deja)) {
													CreeNoeudCompetence ($lig_comp_deja->code_competences, $lig_comp_deja->valeur);
												}
											}
										}

										$newEnseignants = $newEval->addChild('enseignants');
										$enseignantsPassees = getEnseignantsPassees($annee->annee, $evaluation->code_service, $newEnseignants);
										if (!$enseignantsPassees) {
											$getEnseignants = Enseignants($annee->annee, $evaluation->code_service);
											while ($getEnseignant = $getEnseignants->fetch_object()) {
												CreeNoeudProf ($getEnseignant->nom, $getEnseignant->prenom);
											}
											$getEnseignants->close();
										}
									//}// fin test matière de série	
								}
							}
						}								
						$newEvaluations->close();
					} // Fin boucle années 
					$annees->close();
				} // Fin test vérification existence de l'élève
				
				elseif(!$restriction_extraction_a_certains_ele_id) {
					//l'élève n'existe pas dans la table élève, il faut le traiter manuellement

					echo "<p class='rouge' 
					   title='Vous devriez vérifier ses données, il peut s'agir d une modification de l'INE de cet élève après un export APB.
					Dans ce cas, un export devrait exister pour cet élève avec le bon INE et vous n avez pas à tenir compte de cet avertissement.'
					   style='cursor:pointer'
					>";
					echo "<br />".$eleve->nom;
					echo "<br />".$eleve->prenom;
					echo "<br />ine : ".$eleve->ine;
					echo "<br />né le : ".$eleve->ddn;
					echo "<br />est inconnu dans la table eleves. Aucun export n'est généré pour cet élève.";
					echo "</p>";

				} // Fin élève inconnu	
			} // Fin boucle sur les élèves								
		}
	} 

//$extension=".txt";
$extension="";
// PA le 20210113 : pas de "deux points" dans la date, pour ne pas bloquer lors d'essais sur WAMP
//$nomFichier = "LSL_".date("d-m-Y_H:i").".xml1".$extension;
$nomFichier = "LSL_".date("d-m-Y_H_i").".xml1".$extension;
echo $dirTemp.$nomFichier;
  
$sxe->asXML($dirTemp.$nomFichier);

//===== vérifier le schéma avec import-lsl.xsd =====

$file = $dirTemp.$nomFichier;
$schema = "xsd/import-lsl.xsd";


// active la gestion d'erreur personnalisée
libxml_use_internal_errors(true);

// Instanciation d’un DOMDocument
$dom = new DOMDocument("1.0");

// Charge du XML depuis un fichier
$dom->load($file);

// Validation du document XML
/*
$validate = $dom->schemaValidate($schema) ?
"<p class='center grand vert'>Le schéma XML paraît valide !</p>" :
"<p class='center grand rouge'>Schéma XML non valide !</p>";
 * 
 */
if (!$dom->schemaValidate($schema)) { ?>
<p class='center grand rouge'>Validation du schema d'export → Votre fichier <?php echo $nomFichier; ?> n'est pas valide</p>
<?php	    //libxml_display_errors();

	$errors = libxml_get_errors();
	
    foreach ($errors as $error) {
        echo display_xml_error($error);
    }


}


unset($dom);
// Affichage du résultat
//echo $validate;




if (isset($messages)) {
?>
<p class="center grand bold rouge" 
	onclick="bascule('messages')" 
	style="cursor:pointer"
	title="Cliquez pour déplier/plier">
	<?php echo count($messages); ?> appréciation<?php if(count($messages) > 1) {echo "s";} ?> manquante<?php if(count($messages) > 1) {echo "s";} ?> 
        <br />
        <!-- votre fichier .xml n'est pas valide, toutes les appréciations doivent être renseignées. -->>
</p>
<p style="text-align: center">
	<button type="button" onclick="bascule('messages')">Afficher/Cacher les appréciations manquantes</button>
</p>

<block id="messages" style="display:none;">
<?php	
	foreach ($messages as $message) {
?>
<p class="center rouge ">
	<?php echo $message; ?>
</p>
<?php		
	} ?>
</block>
<?php
	unset ($message);
}

// On crée un lien pour télécharger le fichier
 ?>
<p>
	<a class="bold"  href='../temp/<?php echo $dirTemp ; ?><?php echo $nomFichier; ?>' target='_blank'>
		Récupérer le fichier XML
	</a>
	(<em>effectuer un clic-droit/enregistrer la cible [vous pouvez supprimer le 1 de l'extension]</em>)
</p>


